# 3. Terraform module location

Date: 2022-12-20

## Status

Accepted

## Context

Document structure and deployment of Terraform [modules](https://www.terraform.io/docs/modules/index.html).

Terraform can fetch modules from multiple [sources](https://www.terraform.io/docs/modules/sources.html) (e.g. Github, local files, S3).

## Decision

Whilst developing a module we will source it locally (within this repository). 

Once we feel our modules "ready" we will consider moving them to separate repositories.

## Consequences

Keeping modules locally will make them harder for others to use but make rapid iteration easier.
